.card-progress {
  padding: map-get($spacing, 'desktop-small') map-get($spacing, 'mobile-half') 0;
  width: 100%;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    padding: map-get($spacing, 'mobile') map-get($spacing, 'mobile') 0;
  }
}

.card-progress-list {
  align-items: center;
  display: inline-flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  list-style: none;
  margin: -.5rem 0 0;
  padding: 0;
  width: 100%;

  > * {
    margin: .5rem 2rem .5rem 0;

    &:last-of-type {
      margin-right: 0;
    }
  }
}

.card-progress-item {
  @include themify($themes) {
    border: 2px solid themed('brand-5');
  }
  border-radius: 50%;
  display: block;
  height: 4rem;
  margin: 0;
  padding: 0;
  position: relative;
  transition: map-get($transition, 'border-color');
  width: 4rem;

  &:before {
    @include pseudo;
    @include themify($themes) {
      border-color: themed('white');
    }
    border-style: solid;
    border-width: 0 .2rem .2rem 0;
    height: 1.5rem;
    left: 1.4rem;
    top: .8rem;
    transform: rotate(45deg) scale(0);
    transition: map-get($transition, 'transform');
    width: .8rem;
    z-index: 2;
  }

  &:after {
    @include pseudo;
    border-radius: 50%;
    bottom: -.2rem;
    height: 4rem;
    left: -.2rem;
    right: -.2rem;
    top: -.2rem;
    width: 4rem;
  }

  &.current {
    @include themify($themes) {
      border-color: themed('brand-quinary');
    }
    border-width: 4px;

    &:before {
      left: 1.2rem;
      top: .6rem;
    }

    &:after {
      @include themify($themes) {
        border: 2px solid themed('brand-quinary');
      }
      bottom: -.4rem;
      left: -.4rem;
      right: -.4rem;
      top: -.4rem;
    }
  }

  &.complete {
    @include themify($themes) {
      border-color: themed('brand-7');
    }

    &:before {
      transform: rotate(45deg) scale(1);
    }

    &:after {
      @include themify($themes) {
        background: transparent themed('gradient-6') 0 0 no-repeat padding-box;
      }
    }
  }

  &:hover,
  &:focus {
    @include themify($themes) {
      border-color: themed('brand-quinary');
    }
  }
}

.card-progress-multi {
  @include themify($themes) {
    border: none;
  }

  .card-progress-list {
    align-items: center;
    flex-wrap: wrap;
    height: 100%;
    justify-content: center;
  }

  .card-progress-item {
    height: 1.8rem;
    margin: 0;
    width: 1.8rem;

    &:nth-of-type(even) {
      margin-left: .4rem;
    }

    &:after {
      bottom: .2rem;
      height: 1rem;
      left: .2rem;
      right: .2rem;
      top: .2rem;
      width: 1rem;
    }
  }
}
